Page MenuHomePhabricator

Move RESTBase page summary logic to MCS
Closed, ResolvedPublic

Description

The summary 2.0 endpoint will be served from MCS since it incorporates its own extract-parsing logic rather than relying on TextExtracts. A /page/summary endpoint with the new extract logic is in place; this task encompasses the work of moving over the remaining summary bits.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2017, 8:00 PM
Mholloway renamed this task from Move RESTBase summary logic to MCS to Move RESTBase page summary logic to MCS.Oct 16 2017, 8:11 PM

Change 386397 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] Augment MCS summary 2.0 responses with all existing summary fields

https://gerrit.wikimedia.org/r/386397

Change 386397 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Augment MCS lead and summary responses with all existing RB summary fields

https://gerrit.wikimedia.org/r/386397

Change 389559 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] Add geo coordinates to summary 2.0 response

https://gerrit.wikimedia.org/r/389559

Change 389559 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Add geo coordinates to summary 2.0 response

https://gerrit.wikimedia.org/r/389559

Mentioned in SAL (#wikimedia-operations) [2017-11-08T21:44:40Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@00e60b2]: Update mobileapps to 8e82983 (T178706 T178708 T178333 T170692) (duration: 07m 12s)

bearND closed this task as Resolved.Nov 9 2017, 3:15 AM